// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing.license;

import java.util.concurrent.TimeUnit;

/**
 * A dummy license validator used for tests.
 */
public class NoopLicenseValidator implements LicenseValidator {

    @Override
    public void validateLicense(String licenseStr) {
        // All good. Do nothing.
    }

    @Override
    public long validateTrialPeriod(String zkConnect) {
        return TimeUnit.DAYS.toMillis(15);
    }
}
