// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.errors;

/**
 * Exception used to indicate that monitoring message has a higher sequence number than a previously
 * arrived message with a shutdown flag for client, topic, partition, session.
 */
public class SequenceAfterShutdownException extends RuntimeException {

  public SequenceAfterShutdownException(String message) {
    super(message);
  }

}
