// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams;

import org.apache.kafka.common.utils.Bytes;
import org.apache.kafka.streams.kstream.KStream;
import org.apache.kafka.streams.kstream.Windowed;
import org.apache.kafka.streams.kstream.KTable;

import java.util.Map;

import io.confluent.controlcenter.Rollup;

public interface StreamExtension<O, K, V> {

  Map<Rollup, KTable<Windowed<Bytes>, O>> extend(KStream<K, V> stream);
}
