// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams;

import org.apache.kafka.streams.kstream.Predicate;

/**
 * Checks that MonitoringMessage is not null
 */
public class ValueNotNull<K, V> implements Predicate<K, V> {
  @Override
  public boolean test(K key, V value) {
    return value != null;
  }
}
