// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.util;

import com.google.inject.Inject;

public class KafkaClusterMetadataClientFactory {
  private final ZKUtilsFactory zkUtilsFactory;

  @Inject
  public KafkaClusterMetadataClientFactory(ZKUtilsFactory zkUtilsFactory) {
    this.zkUtilsFactory = zkUtilsFactory;
  }

  public KafkaClusterMetadataClient create(String zookeeperConnect) {
    return new ZKKafkaMetadataClient(zookeeperConnect, zkUtilsFactory);
  }

}
