// <%= flowDeclaration %>
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import <%= name %> from '<%= hocPath %>/<%= name %>';

describe('<%= name %> (HOC)', () => {
  let props;
  const DummyComponent = (props: { content: string } ) => (
    <p>{props.content}</p>
  );

  beforeEach(() => {
    props = {
      content: 'Sweet'
    };
  });

  it('mounts', () => {
    const Component = <%= name %>(DummyComponent, new Promise((resolve, reject) => {
      resolve(props);
    }));

    const wrapper = mount(<Component />);
    expect(wrapper).to.be.present();
    wrapper.unmount();
  });
});
