// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { Sidebar } from 'components/layout';
import styles from './App.css';


export class App extends Component {
  render() {
    return (
      <div className={styles['app-root']}>
        <Sidebar location={this.props.location} />
        <div className={styles.main} role="main">
          {this.props.children}
        </div>
      </div>
    );
  }
}

export default App;
