// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import styles from './SlotWidth.css';

import { slotWidthFormatter } from 'utils/monitoring';

export class SlotWidth extends Component {
  props: {
    slotWidthMs: number
  };

  render() {
    return (
      <span className={styles['root']}>
        {`/ ${slotWidthFormatter(this.props.slotWidthMs)}`}
      </span>
    );
  }
}

export default SlotWidth;
