// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import addIcon from 'static/icons/add.svg';
import { ButtonSecondaryMedium } from 'components/button';
import { Link } from 'react-router';

import {
  STEP1,
  NEW_SOURCE_PATHNAME
} from 'constants/management';

export class SourcesTopLinks extends Component {
  props: {};

  render() {
    return (
      <Link
        to={{ pathname: NEW_SOURCE_PATHNAME, query: { step: STEP1 } }}
      >
        <ButtonSecondaryMedium text="New source" icon={addIcon} />
      </Link>
    );
  }
}

export default SourcesTopLinks;
