// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { Component } from 'react';

export default class PureComponent extends Component {
  shouldComponentUpdate(nextProps: Object): boolean {
    // TODO: check thisKeys.length === nextKeys.length
    const nextKeys = Object.keys(nextProps);
    const thisHasOwnProperty = hasOwnProperty.bind(this.props);
    for (let i=0; i < nextKeys.length; ++i) {
      if (!thisHasOwnProperty(nextKeys[i]) || this.props[nextKeys[i]] !== nextProps[nextKeys[i]]) {
        return true;
      }
    }
    return false;
  }
}
