// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

export const PickerTargets = {
  START_DAY: 'START_DAY',
  START_TIME: 'START_TIME',
  END_DAY: 'END_DAY',
  END_TIME: 'END_TIME'
};

export type PickerTarget = $Enum<typeof PickerTargets>;

export const DateTimeFormats = {
  DATE: 'M/D/YYYY',
  DATE_SHORT: 'MMM, D',
  TIME: 'h:mm a',
  DATE_TIME: 'YYYY-MM-DDTHH:mm'
};
