// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { RECEIVE_AUTH_DATA } from 'actions/auth';
import type { Action } from 'types';
import type { AuthState } from 'types/auth';

const initialState = {
  authenticationEnabled: false
};

export default function auth(state: AuthState = initialState, action: Action<*, *>): AuthState {
  switch (action.type) {
    case RECEIVE_AUTH_DATA:
      return {
        ...state,
        ...action.payload
      };
    default:
      return state;
  }
}
