// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

export const FrequencySpecUnits = {
  MINUTES: 'MINUTES',
  HOUR: 'HOUR',
  FOUR_HOURS: 'FOUR_HOURS',
  EIGHT_HOURS: 'EIGHT_HOURS',
  DAY: 'DAY'
};

export type FrequencySpecUnitsType = $Enum<typeof FrequencySpecUnits>;

export type FrequencySpec = {
  value: number,
  units: FrequencySpecUnitsType
};
