// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';

import ProfilePhoto from 'components/account/ProfilePhoto';

describe('<ProfilePhoto />', () => {
  it('renders', () => {
    const component = renderIntoDocument(
      <div>
        <ProfilePhoto
          src="http://placehold.it/32x32"
        />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    expect(node).to.exist;
  });
});
