// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { History } from 'components/alerts/History';
import { MockDispatchable } from '../../mock/Redux';
import { MockAlertSummary } from '../../mock/alerts';


describe('<History />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <History
        history={[]}
        historyNew={[]}
        routeParams={{ timeguid: 'a' }}
        newCount={1}
        // eslint-disable-next-line no-unused-vars
        alertsPrependNewHistory={() => MockDispatchable}
        requestHistory={() => MockDispatchable}
        earliestItem={MockAlertSummary}
        mostRecentItem={MockAlertSummary}
      />
    );
    expect(wrapper).to.be.present();
  });
});
