// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { Triggers } from 'components/alerts/Triggers';

describe('<Triggers />', () => {
  it('renders', () => {
    const props = {
      toDelete: { name: null, guid: null },
      triggers: [],
      deleteTrigger: sinon.spy(),
      requestTriggers: sinon.spy(),
      setTriggerToDelete: sinon.spy(),
      setVisibleModal: sinon.spy()
    };
    const wrapper = shallow(<Triggers {...props} />);
    expect(wrapper).to.be.present();
  });
});
