// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import { shallow } from 'enzyme';

import ChartHover from 'components/charting/charts/ChartHover';

describe('<ChartHover />', () => {
  it('renders', () => {

    const wrapper = shallow(
      <ChartHover
        lineSlotData={{
          startTimeMs: 0,
          stepMs: 1,
          values: []
        }}
        areaSlotData={{
          startTimeMs: 0,
          stepMs: 1,
          values: []
        }}
        mouseOverTime={new Date(0)}
        xScale={sinon.spy()}
        yScale={sinon.spy()}
        hoverFormatter={sinon.spy()}
      />
    );
    expect(wrapper).to.be.present();
  });
});
