// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { mount } from 'enzyme';

import { CheckboxGroup } from 'components/form/CheckboxGroup';
import styles from 'components/form/CheckboxGroup.css';

describe('<CheckboxGroup />', () => {
  let props;

  beforeEach(() => {
    props = {
      selectedValue: 'someValue',
      items: []
    };
  });

  it('renders', () => {
    const wrapper = mount(<CheckboxGroup {...props} />);
    expect(wrapper.find({ className: styles.root })).to.be.present();
    wrapper.unmount();
  });
});
