// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { Popover } from 'components/tooltip';
import styles from 'components/tooltip/popover.css';

describe('<Popover />', () => {
  it('renders', () => {
    const wrapper = shallow(
      <Popover
        body={(
          <div>Tooltip content goes here</div>
        )}
        isOpen={true}
      >
        I have a tip always
      </Popover>
    );
    expect(wrapper.find({ className: styles.root })).to.be.present();
  });
});
