// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.kafka.databalancing.topology;

public class Broker {

    private final int id;

    public Broker(int id) {
        this.id = id;
    }

    public int id() {
        return id;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        Broker broker = (Broker) o;
        return id == broker.id;

    }

    @Override
    public int hashCode() {
        return id;
    }

    @Override
    public String toString() {
        return "Broker(" + "id=" + id + ")";
    }

}
