// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.errors;

/**
 * Exception used to indicate that an monitoring message with shutdown flag has sequence number that
 * is not highest received sequence number for this client, topic, partition, session.
 */
public class ShutdownSequenceNotHighestException extends RuntimeException {

  public ShutdownSequenceNotHighestException(String message) {
    super(message);
  }

}
