// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams.monitoring;

import org.apache.kafka.streams.kstream.Predicate;

import io.confluent.monitoring.record.Monitoring.MonitoringMessage;
/**
 * checks that an monitoringMessage has a valid window
 */
public class MonitoringMessageHasWindow implements Predicate<byte[], MonitoringMessage> {

  @Override
  public boolean test(byte[] key, MonitoringMessage value) {
    return value.getWindow() >= 0;
  }
}
