// (Copyright) [2016 - 2016] Confluent, Inc.
package io.confluent.controlcenter.streams;

import io.confluent.monitoring.common.Clock;


public class MockClock implements Clock {

  private long currentTime = 0;

  public MockClock() {
  }

  public MockClock(long currentTime) {
    this.currentTime = currentTime;
  }

  public long currentTimeMillis() {
    return currentTime;
  }

  public void setCurrentTimeMillis(long timeMillis) {
    currentTime = timeMillis;
  }

}
