// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';
import { logout } from 'actions/auth';
import { StepLoader } from 'components/progress-indicator/StepLoader';
import style from './Logout.css';

export type LogoutProps = {};

class Logout extends Component {
  props: LogoutProps;

  componentDidMount() {
    logout();
  }

  render() {
    return (
      <div className={style.root}>
        <div>
          <StepLoader
            text="Signing out"
          />
        </div>
      </div>
    );
  }
}

export default Logout;
