// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React, { Component } from 'react';

import { SubNavigation } from 'components/navigation';

import {
  HISTORY_INDEX_PATHNAME,
  ACTIONS_INDEX_PATHNAME,
  TRIGGERS_INDEX_PATHNAME
} from 'constants/alerts';


export class OverviewSubNav extends Component {
  render() {
    return (
      <SubNavigation
        links={[
          {
            label: 'History',
            location: { pathname: HISTORY_INDEX_PATHNAME }
          },
          {
            label: 'Triggers',
            location: { pathname: TRIGGERS_INDEX_PATHNAME }
          },
          {
            label: 'Actions',
            location: { pathname: ACTIONS_INDEX_PATHNAME }
          }
        ]}
        padded={true}
      />
    );
  }
}

export default OverviewSubNav;
