// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import button, {
  ButtonPrimaryLarge as buttonPrimaryLarge,
  ButtonPrimaryMedium as buttonPrimaryMedium,
  ButtonSecondaryLarge as buttonSecondaryLarge,
  ButtonSecondaryMedium as buttonSecondaryMedium,
  ButtonSizes as buttonSizes,
  ButtonClassTypes as buttonClassTypes
} from './Button';

export type {
  ButtonClassType,
  ButtonSize
} from './Button';

export const Button = button;
export const ButtonPrimaryLarge = buttonPrimaryLarge;
export const ButtonPrimaryMedium = buttonPrimaryMedium;
export const ButtonSecondaryLarge = buttonSecondaryLarge;
export const ButtonSecondaryMedium = buttonSecondaryMedium;
export const ButtonSizes = buttonSizes;
export const ButtonClassTypes = buttonClassTypes;
