// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.

import { NewTriggerFormSpec as newTriggerFormSpec } from './newTriggerFormSpec';
import { EditTriggerFormSpec as editTriggerFormSpec } from './editTriggerFormSpec';
import { NewActionFormSpec as newActionFormSpec } from './newActionFormSpec';
import { EditActionFormSpec as editActionFormSpec } from './editActionFormSpec';

export const NewTriggerFormSpec = newTriggerFormSpec;
export const EditTriggerFormSpec = editTriggerFormSpec;
export const NewActionFormSpec = newActionFormSpec;
export const EditActionFormSpec = editActionFormSpec;

export const TRIGGERS_INDEX_PATHNAME = '/alerts/overview/triggers';
export const TriggerMethods = {
  ACTIONS: 'actions',
  EDIT: 'edit'
};

export const ACTIONS_INDEX_PATHNAME = '/alerts/overview/actions';
export const HISTORY_INDEX_PATHNAME = '/alerts/overview/history';

export const RESTAPI_INDEX_PATHNAME = '/alerts/integration';

export const NEW_TRIGGER_PATHNAME = '/alerts/overview/triggers/new';
export const NEW_ACTION_PATHNAME = '/alerts/overview/actions/new';
