// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { combineReducers } from 'redux';

import { triggers } from './triggers';
import { actions } from './actions';
import { triggerForm } from './triggerForm';
import { history } from './history';
import { triggerLastCreated } from './triggerLastCreated';
import { toDelete } from './toDelete';

export default combineReducers({
  triggers,
  actions,
  triggerForm,
  history,
  triggerLastCreated,
  toDelete
});
