// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { fork } from 'redux-saga/effects';
import { triggersSaga } from 'sagas/alerts/triggers';
import { actionsSaga } from 'sagas/alerts/actions';
import { historySaga } from 'sagas/alerts/history';

export function* alertsSaga(): Generator<*, *, *> {
  yield fork(triggersSaga);
  yield fork(actionsSaga);
  yield fork(historySaga);
}

export default alertsSaga;
