// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import type { TimeGuid } from 'types/alerts';

export function parseTimeGuid(timeGuid: string): TimeGuid | null {
  const dashIdx = timeGuid.indexOf('-');
  if (dashIdx < 0) {
    return null;
  }
  return {
    timestamp: parseInt(timeGuid.substring(0, dashIdx), 10),
    guid: timeGuid.substring(dashIdx+1)
  };
}
