// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import App from 'components/App';

describe('<App />', () => {
  it('renders an app', () => {
    const wrapper = shallow(<App />);
    expect(wrapper).to.be.present();
  });

  it('renders children', () => {
    const wrapper = shallow(
      <App>
        <div> blah2 </div>
        <div> blah </div>
      </App>
    );
    expect(wrapper.contains(<div> blah2 </div>)).to.eql(true);
  });
});
