// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { Actions } from 'components/alerts/Actions';

describe('<Actions />', () => {
  it('renders', () => {
    const props = {
      toDelete: { name: null, guid: null },
      actions: [],
      deleteAction: sinon.spy(),
      requestActions: sinon.spy(),
      setActionToDelete: sinon.spy(),
      setVisibleModal: sinon.spy()
    };
    const wrapper = shallow(<Actions {...props} />);
    expect(wrapper).to.be.present();
  });
});
