// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';
import { ButtonPopup, Alignments } from 'components/button-popup/ButtonPopup';

describe('<ButtonPopup />', () => {

  it('renders', () => {
    const wrapper = shallow(
      <ButtonPopup
        rootElementId={'c3'}
        alignment={Alignments.LEFT}
        flag={false}
        label={'NA'}
        popupHeight={100}
      />
    );
    expect(wrapper).to.be.present();
  });
});
