// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import React from 'react';
import { shallow } from 'enzyme';

import { Form } from 'components/form/Form';

describe('<Form />', () => {
  let baseProps;

  beforeEach(() => {
    baseProps = {
      errorsAreVisible: false,
      handleSubmit: sinon.spy(),
      onSubmit: sinon.spy(),
      optionsByField: {},
      resetForm: sinon.spy(),
      submitting: false
    };
  });

  it('renders', () => {
    const wrapper = shallow(
      <Form
        {...baseProps}
      />
    );
    expect(wrapper).to.be.present();
  });

});
