// @flow
// (Copyright) [2016 - 2016] Confluent, Inc.
import { expect } from 'chai';
import React from 'react';
import ReactDOM from 'react-dom';
import { renderIntoDocument } from 'react-addons-test-utils';

import ActionBar from 'components/navigation/ActionBar';

describe('<ActionBar />', () => {
  it('renders', () => {
    const navLinks = [];
    const component = renderIntoDocument(
      <div>
        <ActionBar
          navLinks={navLinks}
        />
      </div>
    );
    const node = ReactDOM.findDOMNode(component);
    expect(node).to.exist;
  });
});
